Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.command
Interface ICommand

All Superinterfaces:
  Comparable

All Known Implementing Classes:
  CommandBase, CommandClearInventory, CommandDebug, CommandDefaultGameMode, CommandDifficulty, CommandEnchant, CommandGameMode, CommandGameRule, CommandGive, CommandHelp, CommandKill, CommandServerBan, CommandServerBanIp, CommandServerBanlist, CommandServerDeop, CommandServerEmote, CommandServerKick, CommandServerList, CommandServerMessage, CommandServerOp, CommandServerPardon, CommandServerPardonIp, CommandServerPublishLocal, CommandServerSaveAll, CommandServerSaveOff, CommandServerSaveOn, CommandServerSay, CommandServerStop, CommandServerTp, CommandServerWhitelist, CommandSetSpawnpoint, CommandShowSeed, CommandTime, CommandToggleDownfall, CommandWeather, CommandXP

    public interface ICommand

extends Comparable

Method Summary
`List` | `addTabCompletionOptions(ICommandSender var1, String[] var2)` Adds the strings available in this command to the given list of tab completion options.
`boolean` | `canCommandSenderUseCommand(ICommandSender var1)` Returns true if the given command sender is allowed to use this command.
`List` | `getCommandAliases()`
`String` | `getCommandName()`
`String` | `getCommandUsage(ICommandSender var1)`
`boolean` | `isUsernameIndex(int var1)` Return whether the specified command parameter index is a username parameter.
`void` | `processCommand(ICommandSender var1, String[] var2)`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getCommandName

    String getCommandName()

### getCommandUsage

    String getCommandUsage(ICommandSender var1)

### getCommandAliases

    List getCommandAliases()

### processCommand

    void processCommand(ICommandSender var1,
                        String[] var2)

### canCommandSenderUseCommand

    boolean canCommandSenderUseCommand(ICommandSender var1)

  Returns true if the given command sender is allowed to use this command.

### addTabCompletionOptions

    List addTabCompletionOptions(ICommandSender var1,
                                 String[] var2)

  Adds the strings available in this command to the given list of tab completion options.

### isUsernameIndex

    boolean isUsernameIndex(int var1)

  Return whether the specified command parameter index is a username parameter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD